osl::eval::ml::PtypeYY Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Static Private Member Functions | List of all members
osl::eval::ml::PtypeYY Struct Reference

`#include <kingTable.h>`

Collaboration diagram for osl::eval::ml::PtypeYY:
[legend]

## Public Types
enum | { ONE_DIM = 2592, DIM = ONE_DIM * EvalStages }

## Public Member Functions
template<int Sign>
void | adjust (int black, int white, MultiInt &out)

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)
static MultiInt | evalWithUpdate (const NumEffectState &state, Move moved, const MultiInt &last_values)
template<int Sign>
static void | adjust (int black, int white, MultiInt &out)

## Static Public Attributes
static CArray< MultiInt, 2592 > | table

## Static Private Member Functions
template<Player KingPlayer>
static int | index (const Piece p, const Square king)
template<Player KingPlayer>
static int | index (const PtypeO ptypeO, const Square position, const Square king)

## Detailed Description

Definition at line 97 of file kingTable.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 99 of file kingTable.h.

## Member Function Documentation

template<int Sign>

static void osl::eval::ml::PtypeYY::adjust | ( | int | black,
|  | int | white,
|  | MultiInt & | out
| ) |  |
| static

template<int Sign>

void osl::eval::ml::PtypeYY::adjust | ( | int | black,
|  | int | white,
|  | MultiInt & | out
| ) |  |
| inline

Definition at line 322 of file kingTable.cc.

MultiInt osl::eval::ml::PtypeYY::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 331 of file kingTable.cc.

References osl::BLACK, osl::Piece::isOnBoard(), result, osl::Piece::SIZE, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

MultiInt osl::eval::ml::PtypeYY::evalWithUpdate | ( | const NumEffectState & | state,
|  | Move | moved,
|  | const MultiInt & | last_values
| ) |  |
| static

Definition at line 351 of file kingTable.cc.

References adjust(), osl::alt(), osl::BLACK, osl::captured(), osl::Move::capturePtype(), osl::Move::from(), osl::Move::isDrop(), osl::KING, osl::newPtypeO(), osl::Move::oldPtypeO(), osl::Move::player(), osl::Move::ptype(), osl::PTYPE_EMPTY, osl::Move::ptypeO(), result, osl::Move::to(), osl::WHITE, and osl::Square::y().

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

template<Player KingPlayer>

static int osl::eval::ml::PtypeYY::index | ( | const Piece | p,
|  | const Square | king
| ) |  |
| inlinestaticprivate

Definition at line 111 of file kingTable.h.

References osl::Piece::ptypeO(), and osl::Piece::square().

template<Player KingPlayer>

static int osl::eval::ml::PtypeYY::index | ( | const PtypeO | ptypeO,
|  | const Square | position,
|  | const Square | king
| ) |  |
| inlinestaticprivate

Definition at line 117 of file kingTable.h.

References osl::alt(), osl::BLACK, osl::PTYPEO_MIN, and osl::Square::y().

void osl::eval::ml::PtypeYY::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 310 of file kingTable.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< MultiInt, 2592 > osl::eval::ml::PtypeYY::table
| static

Definition at line 106 of file kingTable.h.

Referenced by setUp().

The documentation for this struct was generated from the following files:

- kingTable.h
- kingTable.cc